PSNUP(1)

NAZWA
psnup

SKŁADNIA
psnup [OPCJA...] -LICZBA [PLIK-WEJŚCIOWY [PLIK-WYJŚCIOWY]]

OPIS

psnup korzysta z pstops do umieszczenia kilku logicznych stron na każdej fizycznej stronie papieru.

Rozmiar papieru można podać jako nazwę (zob. paper(1)) lub jako szerokośćxwysokość (zob. psutils(1) aby poznać dopuszczalne jednostki). Kilka stron dokumentu PostScript zostanie umieszczonych na jednej stronie.

-LICZBA
    liczba stron do umieszczenia na każdej stronie wyjściowej

PLIK-WEJŚCIOWY
    "-" lub brak argumentu PLIK-WEJŚCIOWY oznacza standardowe wejście

PLIK-WYJŚCIOWY
    "-" lub brak argumentu PLIK-WYJŚCIOWY oznacza standardowe wyjście

OPCJE

-p PAPIER, --paper PAPIER
    nazwa lub wymiary (SZEROKOŚĆxWYSOKOŚĆ) papieru wyjściowego

-P PAPIER-WEJŚCIOWY, --inpaper PAPIER-WEJŚCIOWY
    nazwa lub wymiary (SZEROKOŚĆxWYSOKOŚĆ) papieru wejściowego

-m ROZMIAR, --margin ROZMIAR
    szerokość marginesu wokół każdej strony wyjściowej [domyślnie 0pt]; przydatne do stron z miniaturami, ponieważ pierwotne marginesy zostaną zmniejszone

-b ROZMIAR, --border ROZMIAR
    szerokość ramki wokół każdej strony wejściowej

-d [ROZMIAR], --draw [ROZMIAR]
    rysuje linię o podanej szerokości (relatywnie do pierwotnej strony) wokół każdej strony [argument domyślnie przyjmuje wartość 1pt; domyślnym ustawieniem jest brak linii; szerokość jest stała w przypadku PDF-ów]

-l, --rotatedleft
    strony wejściowe zostaną obrócone w lewo o 90 stopni

-r, --rotatedright
    strony wejściowe zostaną obrócone w prawo o 90 stopni

-f, --flip
    szerokość i wysokość strony wyjściowych zostanie zamieniona

-c, --transpose
    zamienia kolumny z wierszami (wg kolejności kolumn)

-t LICZBA, --tolerance LICZBA
    maksymalny zmarnowany obszar w pt kwadratowych [domyślnie: 100000]

-v, --version
    pokazuje wersję programu i kończy pracę

-q, --quiet
    nie pokazuje postępu

KOMENTARZE
psnup przerwie z błędem, jeśli nie będzie potrafił ułożyć stron wejściowych w sposób marnujący mniej miejsca niż podana tolerancja

Rozmiar stron wyjściowych domyślnie przyjmuje wartość stron wejściowych; jeśli rozmiar nie jest podany w dokumencie ani w wierszu polecenia, przyjęta zostanie wartość podana przez polecenie "paper".

Rozmiar strony wejściowych domyślnie przyjmuje wartość rozmiaru stron wyjściowych.

W kolejności wg wierszy (domyślnie) kolejne strony są umieszczane w wierszach (wszerz strony); w kolejności wg kolumn, są umieszczane w kolumnach (w dół strony).

PRZYKŁADY
Użycie tego narzędzia jest różnorodne, lecz jednym z nich jest połączenie z psbook(1). Na przykład, jeśli używa się groff do tworzenia dokumentu PostScript, a lpr jako uniksowego menedżera wydruku, to typowy wiersz polecenia może wyglądać tak:

groff -Tps -ms plik | psbook | psnup -2 | lpr

Gdzie plik jest 4-stronicowym dokumentem. Wynikiem polecenia będzie dwustronicowy dokument, drukujący dwie strony pliku na stronę i zmieniający kolejność stron aby odpowiadała stronom 4 i 1 wejścia na pierwszej stronie wyjścia i stronom 2 i 3 wejścia na drugiej stronie wyjścia.

AUTOR
Reuben Thomas <rrt@sc3d.org>

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.